
Ryzom - Feature # 1493

Status: Resolved Priority: Normal
Author: kervala Category: OS: GNU/Linux
Created: 09/22/2012 Assignee: kervala
Updated: 09/23/2012 Due date:
Subject: MultiArch support
Description

Libraries shouldn't be installed directly in /usr/lib under Debian-based systems that support multiarch, they should be installed in
/usr/lib/<triplet>.

History
#1 - 09/22/2012 09:03 pm - kervala
- Status changed from New to Assigned
- Assignee set to kervala

Currently, only NeL drivers are installed in the right directory.

#2 - 09/22/2012 11:00 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f3ed5413ec58.

#3 - 09/22/2012 11:05 pm - kervala
- Target version set to Version 0.9.0

NL_*_PREFIX and RYZOM_*_PREFIX are always paths relative to CMAKE_INSTALL_PREFIX (excepted if specified on command-line), the absolute
versions are now NL_*_ABSOLUTE_PREFIX and RYZOM_*_ABSOLUTE_PREFIX.

When using INSTALL CMake command, you can use *_PREFIX because CMake will prepend CMAKE_INSTALL_PREFIX, but when using the patch
in C++ code, you always should use *_ABSOLUTE_PREFIX.

Not that under Windows, both variables are always relative.

#4 - 09/23/2012 08:45 pm - kervala

Applied in changeset commit:9d6d14e5b2e6.
